Xerces 3.1.1

## org.w3c.dom.html
Interface HTMLFontElement

All Known Implementing Classes:
  HTMLFontElementImpl

public interface HTMLFontElement
extends HTMLElement

Local change to font. See the FONT element definition in HTML 4.0. This element is deprecated in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getColor()` Font color.
`java.lang.String` `getFace()` Font face identifier.
`java.lang.String` `getSize()` Font size.
`void` `setColor(java.lang.String color)`
`void` `setFace(java.lang.String face)`
`void` `setSize(java.lang.String size)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getColor

    public java.lang.String getColor()

  Font color. See the color attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setColor

    public void setColor(java.lang.String color)

### getFace

    public java.lang.String getFace()

  Font face identifier. See the face attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setFace

    public void setFace(java.lang.String face)

### getSize

    public java.lang.String getSize()

  Font size. See the size attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setSize

    public void setSize(java.lang.String size)

Xerces 3.1.1